.TH compile "" Terminfo/Curses Command
.SH NAME
.PP
compile \- Compile the terminfo database
.SH SYNOPSIS
.PP
.B /usr/lib/terminfo/compile
[\fB-v\fR[\fIn\fR]] source-file
.SH DESCRIPTION
.PP
.I Compile
is the program which translates the source files in the terminfo
terminal capability database into their object format.  The given
.I file
is expected to contain one or more terminfo entries, as described in
.I terminfo.
This file is expected to be self-contained, i.e., it may not
contain ``\fBuse\fP'' entries which refer to terminals not described fully
in the same file.
.PP
The object files are normally placed in subdirectories of the directory
/usr/lib/terminfo (see
.I term),
but if the environment variable TERMINFO is defined, it is taken to be the
name of an alternate directory to use.
.PP
Debugging and tracing information may be obtained by use of the
.B -v
flag.
The number after the flag controls the amount of debugging information
given, according to the following table:
.IP 1
Names of files created and linked
.IP 2
Information related to the ``\fBuse\fR'' facility
.IP 3
Statistics from the hashing algorithm
.IP 5
String-table memory allocations
.IP 7
Entries into the string-table
.IP 8
List of tokens encountered by scanner
.IP 9
All values computed in construction of the hash table
.in -0.5i
.sp
If \fIn\fP is not given, it is taken to be one.
.SH FILES
.PP
/usr/lib/terminfo/*	Default location of object files
.SH "SEE ALSO"
.PP
terminfo, term, dump.
.SH AUTHOR
.PP
Pavel Curtis, Cornell University
.br
(decvax!cornell!pavel  or  Pavel.Cornell@Udel-Relay)
.sp
.nf
Ported to Coherent by:
Udo Munk
Oberstr. 21
4040 Neuss 1
Germany
phone: +49 2131/275348
.fi
.SH BUGS
.PP
You tell me.
