/* (-lgl
 *	Coherent 386 release 4.2
 *	Copyright (c) 1982, 1993 by Mark Williams Company.
 *	All rights reserved. May not be copied without permission.
 *	For copying permission and licensing info, write licensing@mwc.com
 -lgl) */

#ifndef __SYS_HDIOCTL_H__
#define	__SYS_HDIOCTL_H__

#include <common/feature.h>

/*
 * Ioctl support for hard disk devices.
 */

#define	HDIOC		('H' << 8)
#define	HDGETA		(HDIOC|1)	/* get drive attributes */
#define	HDSETA		(HDIOC|2)	/* set drive attributes */
#define HDGETPERF 	(HDIOC|3)	/* Get performance stats */
#define HDCLRPERF	(HDIOC|4)	/* Clear Performance stats */
#define HDGETPERFCLR	(HDIOC|5)	/* Get perf stats and clear */ 

/*
 * Drive attributes
 * Note: all fields defined as bytes to prevent compiler arith probs.
 *	All multi-byte fields are stored low-byte first.
 * This struct is configured for binary compatibility with ROM data!
 */

typedef struct hdparm_s {
	unsigned char	ncyl[2];	/* number of cylinders */
	unsigned char	nhead;		/* number heads */
	unsigned char	rwccp[2];	/* reduced write curr cyl */
	unsigned char	wpcc[2];	/* write pre-compensation cyl */
	unsigned char	eccl;		/* max ecc data length */
	unsigned char	ctrl;		/* control byte */
	unsigned char	fill2[3];
	unsigned char	landc[2];	/* landing zone cylinder */
	unsigned char	nspt;		/* number of sectors per track */
	unsigned char	hdfill3;
} hdparm_t;

/* Macro for initializing drive parameter tables. */

#define _HDPARMS(cyl,hd,spt,ctl,pcomp)	{ \
	{ (cyl) & 0xFF, (cyl) >> 8 }, hd, { 0, 0 }, \
	{ (pcomp) & 0xFF, (pcomp) >> 8 }, 0, ctl, \
	{ 0, 0, 0 }, { 0 , 0 }, spt, 0 }


typedef struct hdstats_s {
	unsigned 	hd_reqcnt;	/* Number of request */
	unsigned	hd_blkcnt;	/* Number of blocks read */
	unsigned	hd_time;	/* Time to complete these request */
	unsigned	hd_errcnt;	/* Number of errors generated */
} hdstats_t;

/* Convert from a 2-element unsigned char array to unsigned short. */
/* Copy number into a 2-element unsigned char array. */

#if	_I386

#define _CHAR2_TO_USHORT(c_array)	(* (unsigned short *) (c_array))
#define	_NUM_TO_CHAR2(c_array, num)	(* (unsigned short *) (c_array) = (num))

#else

#define _CHAR2_TO_USHORT(c_array)	\
	((unsigned short) ((c_array)[1] << 8) | (c_array)[0])
/#define _NUM_TO_CHAR2(c_array, num) \
	(((c_array)[0] = (num) & 0xFF), ((c_array)[1] = (num) >> 8))

#endif


#if	_KERNEL
#define N_ATDRV	2U			/* only two drives supported */
#endif

#endif /* ! defined (__SYS_HDIOCTL_H__) */
